/****************************************************************************************

		Constraint.r

		Copyright (c)1990 - 1999 MetaCreations. All rights reserved.

		Author:	Guillaume Chermette
		Date:	08/23/99

		Revision History

		when		who			what & why
		==========	==========	======================================================

*****************************************************************************************/

#include "External3DAPI.r"
#include "Copyright.h"
#include "ScrewConstraintDef.h"
#include "InterfaceIDs.h"

#ifndef qUsingResourceLinker
include "ScrewConstraint.rsr";
#endif


resource 'COMP' (141) {
	kRID_ConstraintFamilyID,
	'scrw',
	"SDK Screw",
	"SDK Examples",
	FIRSTVERSION,
	VERSIONSTRING,
	COPYRIGHT,
	kRDAPIVersion
};

resource 'GUID' (141) 
{
	{
		R_IID_I3DExConstraint,         /*I3DExConstraint*/
		R_CLSID_ScrewConstraint
	}            
};

resource 'PMap' (141) {
	{
		'AXIS','in32',noFlags,"Axis","",
		'STEP','re32',interpolate,"Step","",
		'FVAL','re32',interpolate,"Nb turns","",
	}
};